<?php
// Include database connection
include('db_connection.php');

// Fetch categories for the dropdown
$categories = $conn->query("SELECT * FROM categories");

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    // Insert new service
    if (isset($_POST['add_service'])) {
        $name = $_POST['service_name'];
        $category = $_POST['category'];
        $price = $_POST['price'];
        $duration = $_POST['duration'];
        $description = $_POST['description']; // Get description

        $sql = "INSERT INTO services (service_name, description, price, created_at, category_id, duration) 
        VALUES ('$name', '$description', '$price', NOW(), '$category', '$duration')";

        if ($conn->query($sql) === TRUE) {
            echo "New service added successfully.";
        } else {
            echo "Error: " . $conn->error;
        }
    }

    // Edit service logic
    if (isset($_POST['edit_service'])) {
        $service_id = $_POST['service_id'];
        $name = $_POST['service_name'];
        $category = $_POST['category'];
        $price = $_POST['price'];
        $duration = $_POST['duration'];
        $description = $_POST['description']; // Get description

        $sql = "UPDATE services SET name='$name', category_id='$category', price='$price', duration='$duration', description='$description' WHERE id='$service_id'";
        if ($conn->query($sql) === TRUE) {
            echo "Service updated successfully.";
        } else {
            echo "Error: " . $conn->error;
        }
    }
}

// Fetch all services
$services = $conn->query("SELECT s.id, s.service_name, c.name AS category, s.price, s.duration, s.description 
                          FROM services s 
                          JOIN categories c ON s.category_id = c.id");

?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Manage Services</title>
    <link rel="stylesheet" href="assets/style.css">
    <style>
        .form-container {
            margin-bottom: 20px;
        }

        .form-container input, .form-container select, .form-container textarea {
            width: 100%;
            padding: 10px;
            margin-bottom: 10px;
            border-radius: 5px;
            border: 1px solid #ccc;
        }

        .btn {
            padding: 10px 20px;
            border: none;
            border-radius: 5px;
            cursor: pointer;
        }

        .btn-primary {
            background-color: #3498db;
            color: #fff;
        }

        .btn-danger {
            background-color: #e74c3c;
            color: #fff;
        }

        .btn-success {
            background-color: #2ecc71;
            color: #fff;
        }

        .table-container {
            margin-top: 20px;
            overflow-x: auto;
        }

        table {
            width: 100%;
            border-collapse: collapse;
        }

        th, td {
            padding: 12px;
            text-align: left;
            border-bottom: 1px solid #ddd;
        }

        th {
            background-color: #f4f4f4;
        }

        .action-buttons a {
            padding: 5px 10px;
            color: #fff;
            text-decoration: none;
            border-radius: 5px;
        }

        .action-buttons .edit-btn {
            background-color: #3498db;
        }

        .action-buttons .delete-btn {
            background-color: #e74c3c;
        }
    </style>
</head>
<body>
    <div class="sidebar">
        <div class="sidebar-header">
            <span class="hamburger" onclick="toggleSidebar()">☰</span>
            <span class="sidebar-title">Admin Panel</span>
        </div>
        <ul>
            <li><a href="index.php"><span class="icon"><i class="fas fa-home"></i></span><span class="text">Dashboard</span></a></li>
            <li><a href="add_service.php"><span class="icon"><i class="fas fa-concierge-bell"></i></span><span class="text">Manage Services</span></a></li>
            <li><a href="manage_bookings.php"><span class="icon"><i class="fas fa-calendar-check"></i></span><span class="text">View Bookings</span></a></li>
            <li><a href="manage_categories.php"><span class="icon"><i class="fas fa-calendar-check"></i></span><span class="text">Add Category</span></a></li>
            <li><a href="manage_customers.php"><span class="icon"><i class="fas fa-users"></i></span><span class="text">Customers</span></a></li>
            <li><a href="logout.php"><span class="icon"><i class="fas fa-sign-out-alt"></i></span><span class="text">Logout</span></a></li>
        </ul>
    </div>
    <div class="main-content">
        <h1 style="text-align: center;">Manage Services</h1>

        <!-- Add Service Form -->
        <div class="form-container">
            <form method="POST">
    <input type="text" name="service_name" placeholder="Service Name" required>
    <textarea name="description" placeholder="Description" required></textarea> <!-- Added description field -->
    <select name="category" required>
        <option value="">Select Category</option>
        <?php while ($category = $categories->fetch_assoc()): ?>
            <option value="<?= $category['id']; ?>"><?= $category['name']; ?></option>
        <?php endwhile; ?>
    </select>
    <input type="number" name="price" placeholder="Price" required>
    <input type="number" name="duration" placeholder="Duration (in minutes)" required>
    <button type="submit" name="add_service" class="btn btn-primary">Add Service</button>
</form>

        </div>

        <!-- Services Table -->
        <div class="table-container">
            <table>
                <thead>
                    <tr>
                        <th>ID</th>
                        <th>Name</th>
                        <th>Category</th>
                        <th>Price</th>
                        <th>Duration</th>
                        <th>Description</th>
                        <th>Actions</th>
                    </tr>
                </thead>
                <tbody>
                    <?php while ($service = $services->fetch_assoc()): ?>
                        <tr>
                            <td><?= $service['id']; ?></td>
                            <td><?= $service['service_name']; ?></td>
                            <td><?= $service['category']; ?></td>
                            <td>&#8358;<?= number_format($service['price'], 2); ?></td>
                            <td><?= $service['duration']; ?> mins</td>
                            <td><?= $service['description']; ?></td>
                            <td class="action-buttons">
                                <a href="edit_service.php?id=<?= $service['id']; ?>" class="edit-btn">Edit</a>
                                <a href="delete_service.php?id=<?= $service['id']; ?>" class="delete-btn">Delete</a>
                            </td>
                        </tr>
                    <?php endwhile; ?>
                </tbody>
            </table>
        </div>
    </div>
</body>
</html>
