<?php
include('db_connection.php');

// Fetch categories from the database
$categories = $conn->query("SELECT id, name FROM categories");

// Check for any errors in fetching categories
if (!$categories) {
    die("Error fetching categories: " . $conn->error);
}

// Add category
if (isset($_POST['add_category'])) {
    $categoryName = $_POST['category_name'];
    if (!empty($categoryName)) {
        // Insert the new category into the database
        $conn->query("INSERT INTO categories (name) VALUES ('$categoryName')");
        header("Location: manage_categories.php");  // Refresh page after adding
        exit();
    }
}

// Delete category
if (isset($_GET['delete'])) {
    $categoryId = $_GET['delete'];
    // Delete the category from the database
    $conn->query("DELETE FROM categories WHERE id = $categoryId");
    header("Location: manage_categories.php");  // Refresh page after deletion
    exit();
}
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Manage Categories</title>
    <link rel="stylesheet" href="assets/style.css">  <!-- Include your CSS file -->
    <style>
        .form-container {
            margin-bottom: 20px;
        }

        .form-container input, .form-container select {
            width: 100%;
            padding: 10px;
            margin-bottom: 10px;
            border-radius: 5px;
            border: 1px solid #ccc;
        }

        .btn {
            padding: 10px 20px;
            border: none;
            border-radius: 5px;
            cursor: pointer;
        }

        .btn-primary {
            background-color: #3498db;
            color: #fff;
        }

        .btn-danger {
            background-color: #e74c3c;
            color: #fff;
        }

        .btn-success {
            background-color: #2ecc71;
            color: #fff;
        }

        .table-container {
            margin-top: 20px;
            overflow-x: auto;
        }

        table {
            width: 100%;
            border-collapse: collapse;
        }

        th, td {
            padding: 12px;
            text-align: left;
            border-bottom: 1px solid #ddd;
        }

        th {
            background-color: #f4f4f4;
        }

        .action-buttons a {
            padding: 5px 10px;
            color: #fff;
            text-decoration: none;
            border-radius: 5px;
        }

        .action-buttons .edit-btn {
            background-color: #3498db;
        }

        .action-buttons .delete-btn {
            background-color: #e74c3c;
        }
    </style>
</head>
<body>

    <!-- Sidebar -->
    <div class="sidebar">
        <div class="sidebar-header">
            <span class="sidebar-title">Admin Panel</span>
        </div>
        <ul>
            <li><a href="index.php"><span class="icon"><i class="fas fa-home"></i></span><span class="text">Dashboard</span></a></li>
            <li><a href="add_service.php"><span class="icon"><i class="fas fa-concierge-bell"></i></span><span class="text">Manage Services</span></a></li>
            <li><a href="manage_bookings.php"><span class="icon"><i class="fas fa-calendar-check"></i></span><span class="text">View Bookings</span></a></li>
            <li><a href="manage_categories.php"><span class="icon"><i class="fas fa-calendar-check"></i></span><span class="text">Add Category</span></a></li>
            <li><a href="manage_customers.php"><span class="icon"><i class="fas fa-users"></i></span><span class="text">Customers</span></a></li>
            <li><a href="logout.php"><span class="icon"><i class="fas fa-sign-out-alt"></i></span><span class="text">Logout</span></a></li>
        </ul>
    </div>

    <!-- Main Content -->
    <div class="main-content">
        <div class="header">
            <h1>Manage Categories</h1>
        </div>

        <!-- Add Category Form -->
        <div class="form-container">
            <h2>Add New Category</h2>
            <form method="POST" action="manage_categories.php">
                <input type="text" name="category_name" placeholder="Category Name" required>
                <button type="submit" name="add_category" class="btn btn-primary">Add Category</button>
            </form>
        </div>

        <!-- Categories Table -->
        <div class="table-container">
            <h2>Existing Categories</h2>
            <table>
                <thead>
                    <tr>
                        <th>ID</th>
                        <th>Category Name</th>
                        <th>Action</th>
                    </tr>
                </thead>
                <tbody>
                    <?php while ($category = $categories->fetch_assoc()): ?>
                    <tr>
                        <td><?= $category['id']; ?></td>
                        <td><?= $category['name']; ?></td>
                        <td class="action-buttons">
                            <a href="manage_categories.php?delete=<?= $category['id']; ?>" class="delete-btn" onclick="return confirm('Are you sure you want to delete this category?')">Delete</a>
                        </td>
                    </tr>
                    <?php endwhile; ?>
                </tbody>
            </table>
        </div>
    </div>

</body>
</html>
