<?php
include 'db_connection.php'; // Your database connection file

// Generate a random booking code
$bookingCode = strtoupper(substr(md5(uniqid(rand(), true)), 0, 8));

// Insert booking into the database
$stmt = $conn->prepare("
    INSERT INTO bookings (booking_code, user_name, user_email, service_id, staff_id, booking_date, booking_time) 
    VALUES (?, ?, ?, ?, ?, ?, ?)
");
$stmt->bind_param("sssisss", 
    $bookingCode, 
    $_POST['user_name'], 
    $_POST['user_email'], 
    $_POST['service_id'], 
    $_POST['staff_id'], 
    $_POST['booking_date'], 
    $_POST['booking_time']
);
$stmt->execute();

// Send confirmation email
mail(
    $_POST['user_email'],
    "Booking Confirmation - $bookingCode",
    "Thank you for booking with us! Your booking code is $bookingCode. Keep this code for reference."
);

// Redirect or display success message
header("Location: booking_success.php");
?>
