<?php
require 'mailer/src/PHPMailer.php';
require 'mailer/src/SMTP.php';
require 'mailer/src/Exception.php';

use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\Exception;

// Define email configuration
$senderEmail = 'admin@ultracloudns.online'; // Replace with your email address
$senderPassword = '//Support?/'; // Replace with your email password
$smtpHost = 'base.ultracloudns.online'; // Replace with your SMTP server
$smtpPort = 465; // SMTP Port (usually 465 for SSL)
$siteName = 'Looks By Widons'; // Replace with your site name
$adminEmail = 'admin@ultracloudns.online'; // Replace with admin email address

/**
 * Sends an email to the client.
 *
 * @param string $clientName
 * @param string $clientEmail
 * @param string $bookingCode
 * @param string $servicesList
 * @param string $date
 * @param string $time
 * @param string $orderId
 * @return void
 */
function sendClientEmail($clientName, $clientEmail, $bookingCode, $servicesList, $date, $time, $orderId)
{
    global $senderEmail, $senderPassword, $smtpHost, $smtpPort, $siteName;

    $mail = new PHPMailer(true);
    try {
        // Server settings
        $mail->isSMTP();
        $mail->Host = $smtpHost;
        $mail->SMTPAuth = true;
        $mail->Username = $senderEmail;
        $mail->Password = $senderPassword;
        $mail->SMTPSecure = PHPMailer::ENCRYPTION_SMTPS;
        $mail->Port = $smtpPort;

        // Recipients
        $mail->setFrom($senderEmail, $siteName);
        $mail->addAddress($clientEmail, $clientName);

        // Content
        $mail->isHTML(true);
        $mail->Subject = "Booking Confirmation - $siteName";
        $mail->Body = "
            <h1>Thank you for your booking, $clientName!</h1>
            <p>Your booking has been confirmed. Here are the details:</p>
            <ul>
                <li><strong>Order ID:</strong> $orderId</li>
                <li><strong>Booking Code:</strong> $bookingCode</li>
                <li><strong>Services:</strong> $servicesList</li>
                <li><strong>Date:</strong> $date</li>
                <li><strong>Time:</strong> $time</li>
            </ul>
            <p>We look forward to serving you.</p>
            <p>Best regards,<br>$siteName Team</p>
        ";

        $mail->send();
    } catch (Exception $e) {
        error_log("Client email failed: " . $mail->ErrorInfo);
    }
}

/**
 * Sends an email to the admin.
 *
 * @param string $clientName
 * @param string $clientEmail
 * @param string $bookingCode
 * @param string $servicesList
 * @param string $date
 * @param string $time
 * @param string $orderId
 * @return void
 */
function sendAdminEmail($clientName, $clientEmail, $bookingCode, $servicesList, $date, $time, $orderId)
{
    global $senderEmail, $senderPassword, $smtpHost, $smtpPort, $siteName, $adminEmail;

    $mail = new PHPMailer(true);
    try {
        // Server settings
        $mail->isSMTP();
        $mail->Host = $smtpHost;
        $mail->SMTPAuth = true;
        $mail->Username = $senderEmail;
        $mail->Password = $senderPassword;
        $mail->SMTPSecure = PHPMailer::ENCRYPTION_SMTPS;
        $mail->Port = $smtpPort;

        // Recipients
        $mail->setFrom($senderEmail, $siteName);
        $mail->addAddress($adminEmail, 'Admin');

        // Content
        $mail->isHTML(true);
        $mail->Subject = "New Booking - $siteName";
        $mail->Body = "
            <h1>New Booking Details</h1>
            <ul>
                <li><strong>Order ID:</strong> $orderId</li>
                <li><strong>Client Name:</strong> $clientName</li>
                <li><strong>Client Email:</strong> $clientEmail</li>
                <li><strong>Booking Code:</strong> $bookingCode</li>
                <li><strong>Services:</strong> $servicesList</li>
                <li><strong>Date:</strong> $date</li>
                <li><strong>Time:</strong> $time</li>
            </ul>
        ";

        $mail->send();
    } catch (Exception $e) {
        error_log("Admin email failed: " . $mail->ErrorInfo);
    }
}
?>
