<?php
include('includes/db_connection.php');
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Select Services</title>
    <style>
        /* General Reset */
          body {
            margin: 0;
            font-family: 'Arial', sans-serif;
            background-color: #f9f9f9;
            color: #333;
        }

       
  .container {
            max-width: 1200px;
            margin: 0 auto;
            padding: 20px;
        }


        /* Title and Category */
      /* Header Section */

/* Header Section */
.header {
    display: flex;
    justify-content: space-between; /* Place title on the left, logo on the right */
    align-items: center; /* Vertically align the title and logo */
    padding: 10px 20px;
    width: 100%; /* Ensure the header spans the full width */
    position: fixed; /* Keep it fixed at the top */
    top: 0;
    left: 0;
    right: 0;
    background-color: #fff; /* White background to match design */
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1); /* Add shadow for separation */
    z-index: 9999; /* Make sure it stays on top */
}

.header-title h1 {
    font-size: 1.3em;
    margin: 0;
}

.header-logo img {
    width: 50px; /* Adjust size of the logo */
    height: auto;
    margin-right: 30px;
}

/* Category Section */
.category-list {
    display: flex;
    overflow-x: auto;
    gap: 10px;
    margin: 69px 0; /* Space between title/logo and the category list */
    padding: 10px 20px;
}

/* Category Buttons */
.category-btn {
    flex-shrink: 0;
    padding: 10px 15px;
    border: none;
    background-color: #333;
    color: white;
    border-radius: 20px;
    cursor: pointer;
    transition: all 0.3s ease;
}

.category-btn:hover, .category-btn.active {
    background-color: #000;
}




        /* Services List */
        .services-list {
            margin-bottom: 100px;
        }

        .category-section {
            margin-bottom: 30px;
        }

        .category-section h2 {
            font-size: 1.2em;
            margin: 15px 0;
            padding: 0 20px;
        }

        .service-divider {
            display: flex;
            justify-content: space-between;
            align-items: center;
            padding: 15px 20px;
            border-bottom: 1px solid #ddd;
        }

        .service-details h3 {
            font-size: 1em;
            margin: 0;
            font-weight: bold;
        }

        .service-details p {
            margin: 5px 0;
            font-size: 0.9em;
            color: #555;
        }

        .service-actions {
            display: flex;
            align-items: center;
            gap: 10px;
        }

        .price {
            font-weight: bold;
            font-size: 1em;
            color: #000;
        }

        .add-btn {
            width: 30px;
            height: 30px;
            display: flex;
            align-items: center;
            justify-content: center;
            font-size: 1.2em;
            font-weight: bold;
            border: 2px solid #333;
            border-radius: 5px;
            cursor: pointer;
            background-color: white;
            color: #333;
            transition: all 0.3s ease;
        }

        .add-btn.selected {
            background-color: #28a745;
            border-color: #28a745;
            color: white;
        }

        .add-btn:hover {
            background-color: #333;
            color: white;
        }

        /* Footer Summary */
        .footer-summary {
            position: fixed;
            bottom: 0;
            width: 100%;
            background-color: #f1f1f1;
            padding: 15px 20px;
            display: flex;
            justify-content: space-between;
            align-items: center;
            box-shadow: 0 -2px 8px rgba(0, 0, 0, 0.1);
        }

        .summary-details {
            font-size: 0.9em;
        }

        .summary-details p {
            margin: 5px 0;
        }

        #totalAmount {
            font-weight: bold;
        }

        .next-btn {
            padding: 10px 20px;
            background-color: #000;
            color: white;
            border: none;
            border-radius: 5px;
            font-size: 1em;
            cursor: pointer;
            flex-shrink: 0;
            margin-right: 55px; /* Added padding to move button into the frame */
        }

        .next-btn:hover {
            background-color: #333;
        }

        /* Responsive Design */
        @media (min-width: 768px) {
            .category-btn {
                flex: initial;
            }
        }
         /* Preloader Styles */
        .preloader {
            position: fixed;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            background-color: white;
            display: flex;
            justify-content: center;
            align-items: center;
            z-index: 10000;
        }

        .preloader img {
            width: 120px;
            height: 120px;
            animation: rotate 1.5s linear infinite;
        }

        @keyframes rotate {
            from {
                transform: rotate(0deg);
            }
            to {
                transform: rotate(360deg);
            }
        }
    </style>
    <script>
        document.addEventListener("DOMContentLoaded", function () {
            const preloader = document.querySelector('.preloader');
            setTimeout(() => {
                preloader.style.display = 'none';
            }, 10000); // 10 seconds
        });
    </script>
    <script>
        let totalAmount = 0;
        let totalServices = 0;
        const selectedServices = {};

        function toggleService(button, price, serviceName, serviceId) {
            if (button.classList.contains('selected')) {
                button.classList.remove('selected');
                totalAmount -= price;
                totalServices--;
                delete selectedServices[serviceId];
            } else {
                button.classList.add('selected');
                totalAmount += price;
                totalServices++;
                selectedServices[serviceId] = { id: serviceId, name: serviceName, price: price };
            }
            updateSummary();
        }

        function updateSummary() {
            document.getElementById('totalAmount').innerText = `₦${totalAmount}`;
            document.getElementById('totalServices').innerText = `${totalServices} service${totalServices > 1 ? 's' : ''}`;
        }

        function submitServices() {
            const form = document.getElementById('servicesForm');
            const input = document.getElementById('selectedServicesInput');
            input.value = JSON.stringify(selectedServices);
            form.submit();
        }
    </script>
</head>
<body>
     <!-- Preloader -->
    <div class="preloader">
        <img src="assets/images/Widonslogo1.png" alt="Loading...">
    </div>
    <div class="container">
        <div class="header">
    <div class="header-title">
        <h1>Select Services</h1>
    </div>
    <div class="header-logo">
        <img src="assets/images/Widonslogo1.png" alt="Logo">
    </div>
</div>
<div class="category-list">
                <?php
                $categories_query = "SELECT * FROM categories";
                $categories_result = mysqli_query($conn, $categories_query);

                while ($category_row = mysqli_fetch_assoc($categories_result)) {
                    $category_name = htmlspecialchars($category_row['name']);
                    $category_id = htmlspecialchars($category_row['id']);
                    echo "<button class='category-btn' onclick=\"document.getElementById('category-$category_id').scrollIntoView({ behavior: 'smooth' });\">$category_name</button>";
                }
                ?>
            </div>
            
        </div>
        <div class="services-list">
            <?php
            $services_query = "SELECT * FROM services";
            $services_result = mysqli_query($conn, $services_query);

            $services_by_category = [];
            while ($service = mysqli_fetch_assoc($services_result)) {
                $services_by_category[$service['category_id']][] = $service;
            }

            foreach ($services_by_category as $category_id => $services) {
                $category_name_query = "SELECT name FROM categories WHERE id = $category_id";
                $category_name_result = mysqli_query($conn, $category_name_query);
                $category_name_row = mysqli_fetch_assoc($category_name_result);
                $category_name = $category_name_row['name'] ?? 'Unknown Category';

                echo "<div id='category-$category_id' class='category-section'>";
                echo "<h2>$category_name</h2>";
                foreach ($services as $service) {
                    echo "
                    <div class='service-divider'>
                        <div class='service-details'>
                            <h3>" . htmlspecialchars($service['service_name']) . "</h3>
                            <p>" . htmlspecialchars($service['description']) . "</p>
                            <p class='price'>₦" . htmlspecialchars($service['price']) . "</p>
                        </div>
                        <div class='service-actions'>
                            <button class='add-btn' onclick='toggleService(this, " . $service['price'] . ", `" . htmlspecialchars($service['service_name']) . "`, " . $service['id'] . ")'>+</button>
                        </div>
                    </div>";
                }
                echo "</div>";
            }
            ?>
        </div>
    </div>
    <form id="servicesForm" action="service2.php" method="POST">
        <input type="hidden" id="selectedServicesInput" name="selected_services">
    </form>
    <div class="footer-summary">
        <div class="summary-details">
            <p id="totalAmount">₦0</p>
            <p id="totalServices">0 services</p>
        </div>
        <button class="next-btn" type="button" onclick="submitServices()">Next</button>
    </div>
</body>
</html>
